<?php

include 'conector.php';
session_start();

$tipo_EXP='xls';

//echo $_POST[val8]."--";
if(isset($_POST['mat8_2'])&&!empty($_POST['mat8_2'])){
$arreglo_res=explode(",", $_POST['val8']);
	for($i=0;$i<sizeof($arreglo_res);$i++){
	$arreglo_ins=explode("|", $arreglo_res[$i]);
		for($j=1;$j<sizeof($arreglo_ins);$j++){
		
		 	if($i!=0){$shtml.= str_replace(".", ",", $arreglo_ins[$j]."	");}
		 	else{$shtml.= str_replace(".", ".", $arreglo_ins[$j]."	");}
		
		}
				$shtml.= "\n";
				
	}
$titulo="Cons_Curso_x_REG_DIARIO";
}
elseif(isset($_POST['mat8'])&&!empty($_POST['mat8'])){
$arreglo_res=explode(",", $_POST['val8']);
	for($i=0;$i<sizeof($arreglo_res);$i++){
	$arreglo_ins=explode("|", $arreglo_res[$i]);
		for($j=1;$j<sizeof($arreglo_ins);$j++){
		
		 	if($i!=0){$shtml.= str_replace(".", ",", $arreglo_ins[$j]."	");}
		 	else{$shtml.= str_replace(".", ".", $arreglo_ins[$j]."	");}
		
		}
				$shtml.= "\n";
				$shtml=str_replace("<b>", "", $shtml);
				$shtml=str_replace("</b>", "", $shtml);
	}
$titulo="Cons_Curso_x_Materias";
}
else
{
 $arreglo_res=explode(",", $_POST['val8']);
	for($i=0;$i<sizeof($arreglo_res);$i++){
	$arreglo_ins=explode("|", $arreglo_res[$i]);
		for($j=1;$j<sizeof($arreglo_ins);$j++){
		
		 	if($j!=3){$shtml.=str_replace(".", ",", $arreglo_ins[$j]."	");}
		
		}
				$shtml.= "\n";
	}
$titulo="Consolidado_x_Curso";
}


if($tipo_EXP=='txt'){
Header("Content-Description: File Transfer");
header("Content-Type: application/force-download");
header("Content-Disposition: attachment; filename=".date('Y-m-d')."_consulta_empleados.txt");
}
if($tipo_EXP=='csv'){
Header("Content-Description: File Transfer");
header("Content-Type: application/force-download");
header("Content-Disposition: attachment; filename=".date('Y-m-d')."_consulta_empleados.csv");
}
if($tipo_EXP=='xls'){
header("Content-Type: application/vnd.ms-excel");
header("Expires: 0");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("content-disposition: attachment;filename=".date('Y-m-d')."_".$titulo.".xls");
}
echo $shtml;

?>